org.eclipse.wst.jsdt.core.search

## Class MethodReferenceMatch

- java.lang.Object
- - org.eclipse.wst.jsdt.core.search.SearchMatch
  - - org.eclipse.wst.jsdt.core.search.MethodReferenceMatch

    public class MethodReferenceMatch
    extends SearchMatch

A JavaScript search match that represents a method reference. The element is the inner-most enclosing member that references this method.

This class is intended to be instantiated and subclassed by clients.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Field Summary

### Fields inherited from class org.eclipse.wst.jsdt.core.search.SearchMatch

`A_ACCURATE, A_INACCURATE`

### Constructor Summary

Constructors
Constructor and Description
`MethodReferenceMatch(IJavaScriptElement enclosingElement, int accuracy, int offset, int length, boolean constructor, boolean superInvocation, boolean insideDocComment, SearchParticipant participant, IResource resource)` Creates a new method reference match.
`MethodReferenceMatch(IJavaScriptElement enclosingElement, int accuracy, int offset, int length, boolean constructor, boolean insideDocComment, SearchParticipant participant, IResource resource)` Creates a new method reference match.
`MethodReferenceMatch(IJavaScriptElement enclosingElement, int accuracy, int offset, int length, boolean insideDocComment, SearchParticipant participant, IResource resource)` Creates a new method reference match.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isConstructor()` Returns whether the reference is on a constructor.
`boolean` `isSuperInvocation()` Returns whether the reference is on a message sent from a type which is a super type of the searched method declaring type.

### Methods inherited from class org.eclipse.wst.jsdt.core.search.SearchMatch

`getAccuracy, getElement, getLength, getOffset, getParticipant, getResource, getRule, isEquivalent, isErasure, isExact, isImplicit, isInsideDocComment, isRaw, setAccuracy, setElement, setImplicit, setInsideDocComment, setLength, setOffset, setParticipant, setRaw, setResource, setRule, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MethodReferenceMatch

    public MethodReferenceMatch(IJavaScriptElement enclosingElement,
                                int accuracy,
                                int offset,
                                int length,
                                boolean insideDocComment,
                                SearchParticipant participant,
                                IResource resource)

Creates a new method reference match.

Parameters:
  `enclosingElement` - the inner-most enclosing member that references this method
  `accuracy` - one of `SearchMatch.A_ACCURATE` or `SearchMatch.A_INACCURATE`
  `offset` - the offset the match starts at, or -1 if unknown
  `length` - the length of the match, or -1 if unknown
  `insideDocComment` - `true` if this search match is inside a doc comment, and `false` otherwise
  `participant` - the search participant that created the match
  `resource` - the resource of the element

#### MethodReferenceMatch

    public MethodReferenceMatch(IJavaScriptElement enclosingElement,
                                int accuracy,
                                int offset,
                                int length,
                                boolean constructor,
                                boolean insideDocComment,
                                SearchParticipant participant,
                                IResource resource)

Creates a new method reference match.

Parameters:
  `enclosingElement` - the inner-most enclosing member that references this method
  `accuracy` - one of `SearchMatch.A_ACCURATE` or `SearchMatch.A_INACCURATE`
  `offset` - the offset the match starts at, or -1 if unknown
  `length` - the length of the match, or -1 if unknown
  `constructor` - `true` if this search match a constructor `false` otherwise
  `insideDocComment` - `true` if this search match is inside a doc comment, and `false` otherwise
  `participant` - the search participant that created the match
  `resource` - the resource of the element

#### MethodReferenceMatch

    public MethodReferenceMatch(IJavaScriptElement enclosingElement,
                                int accuracy,
                                int offset,
                                int length,
                                boolean constructor,
                                boolean superInvocation,
                                boolean insideDocComment,
                                SearchParticipant participant,
                                IResource resource)

Creates a new method reference match.

Parameters:
  `enclosingElement` - the inner-most enclosing member that references this method
  `accuracy` - one of `SearchMatch.A_ACCURATE` or `SearchMatch.A_INACCURATE`
  `offset` - the offset the match starts at, or -1 if unknown
  `length` - the length of the match, or -1 if unknown
  `constructor` - `true` if this search matches a constructor `false` otherwise
  `superInvocation` - `true` if this search matches a super-type invocation element `false` otherwise
  `insideDocComment` - `true` if this search match is inside a doc comment, and `false` otherwise
  `participant` - the search participant that created the match
  `resource` - the resource of the element

### Method Detail

#### isConstructor

    public final boolean isConstructor()

Returns whether the reference is on a constructor.

Returns:
  Returns whether the reference is on a constructor or not.

#### isSuperInvocation

    public boolean isSuperInvocation()

Returns whether the reference is on a message sent from a type which is a super type of the searched method declaring type. If `true`, the method called at run-time may or may not be the search target, depending on the run-time type of the receiver object.

Returns:
  `true` if the reference is on a message sent from a super-type of the searched method declaring class, `false` otherwise